# This migration comes from seo_meta_engine (originally 20120518234749)
class RemoveMetaKeywordsFromSeoMeta < ActiveRecord::Migration
  def up
    c = ActiveRecord::Base.connection_config
    if c[:adapter] == 'sqlite3'
      remove_index "seo_meta", :name => "index_seo_meta_on_seo_meta_id_and_seo_meta_type"
    end

    remove_column :seo_meta, :meta_keywords

    if c[:adapter] == 'sqlite3'
      add_index "seo_meta", ["seo_meta_id", "seo_meta_type"], :name => "index_seo_meta_on_seo_meta_id_and_seo_meta_type"
    end
  end

  def down
    c = ActiveRecord::Base.connection_config
    if c[:adapter] == 'sqlite3'
      remove_index "seo_meta", :name => "index_seo_meta_on_seo_meta_id_and_seo_meta_type"
    end

    add_column :seo_meta, :meta_keywords, :string

    if c[:adapter] == 'sqlite3'
      add_index "seo_meta", ["seo_meta_id", "seo_meta_type"], :name => "index_seo_meta_on_seo_meta_id_and_seo_meta_type"
    end
  end
end

